Bug 1503624 - webkitgtk4: Crash on Google login page when a11y is active
Summary: webkitgtk4: Crash on Google login page when a11y is active
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: webkitgtk4
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Tomas Popela
QA Contact: Desktop QE
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-18 13:40 UTC by Vladimir Benes
Modified: 2019-01-04 07:49 UTC (History)
0 users

Fixed In Version: webkitgtk4-2.20.4-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:19:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:20:48 UTC
WebKit Project 188599 0 None None None 2019-01-04 07:49:18 UTC

Description Vladimir Benes 2017-10-18 13:40:00 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/9f4f4f3bdbb0931576bc0821723ef665177745d5/

Comment 1 Vladimir Benes 2017-10-18 13:40:46 UTC
we don't have anything more than backtrace, if you need anything more I will attach whole sosreport

Comment 3 Vladimir Benes 2017-10-18 13:42:43 UTC
it's crashing again when you press NEXT after entering credentials in g-o-a for google account, it may as well crash after password is entered and we are waiting for ALLOW

Comment 4 Vladimir Benes 2017-10-18 17:04:22 UTC
ok, so this should be bt captured just after first error in terminal with G_DEBUG=fatal-warnings:
https://paste.fedoraproject.org/paste/TLYHQhLyuSQhT6iv7UZ6XQ

Comment 7 Vladimir Benes 2018-08-31 12:21:10 UTC
This looks good now. One minor bug where we need to refocus to refresh a11y structure is still there but the crash is definitely gone.

Comment 9 errata-xmlrpc 2018-10-30 10:19:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.